"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PutBucketInventoryConfigurationCommand = exports.$Command = void 0;
const middleware_endpoint_1 = require("@smithy/middleware-endpoint");
const middleware_serde_1 = require("@smithy/middleware-serde");
const smithy_client_1 = require("@smithy/smithy-client");
Object.defineProperty(exports, "$Command", { enumerable: true, get: function () { return smithy_client_1.Command; } });
const EndpointParameters_1 = require("../endpoint/EndpointParameters");
const models_0_1 = require("../models/models_0");
const Aws_restXml_1 = require("../protocols/Aws_restXml");
class PutBucketInventoryConfigurationCommand extends smithy_client_1.Command
    .classBuilder()
    .ep({
    ...EndpointParameters_1.commonParams,
    UseS3ExpressControlEndpoint: { type: "staticContextParams", value: true },
    Bucket: { type: "contextParams", name: "Bucket" },
})
    .m(function (Command, cs, config, o) {
    return [
        (0, middleware_serde_1.getSerdePlugin)(config, this.serialize, this.deserialize),
        (0, middleware_endpoint_1.getEndpointPlugin)(config, Command.getEndpointParameterInstructions()),
    ];
})
    .s("AmazonS3", "PutBucketInventoryConfiguration", {})
    .n("S3Client", "PutBucketInventoryConfigurationCommand")
    .f(models_0_1.PutBucketInventoryConfigurationRequestFilterSensitiveLog, void 0)
    .ser(Aws_restXml_1.se_PutBucketInventoryConfigurationCommand)
    .de(Aws_restXml_1.de_PutBucketInventoryConfigurationCommand)
    .build() {
}
exports.PutBucketInventoryConfigurationCommand = PutBucketInventoryConfigurationCommand;
